Simmer Docs

API Reference

Endpoint details for the Simmer Public API v1.

Create a conversion

POST
/api/v1/conversions
AuthorizationBearer <token>

In: header

order_idstring
Length1 <= length <= 128
emailstring
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
anonymous_id?string
Length1 <= length <= 256
total_revenuenumber
Range0 <= value <= 1000000
currencystring
Match^[A-Z]{3}$
occurred_atstring
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.letsimmer.com/api/v1/conversions" \  -H "Content-Type: application/json" \  -d '{    "order_id": "string",    "email": "user@example.com",    "total_revenue": 1000000,    "currency": "string",    "occurred_at": "2019-08-24T14:15:22Z"  }'
{
  "data": {
    "status": "accepted",
    "conversion_id": "string",
    "attribution_deferred": true
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Get overview metrics

GET
/api/v1/overview
AuthorizationBearer <token>

In: header

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/overview?from=string&to=string"
{
  "data": {
    "conversions": 9007199254740991,
    "attributed_revenue": {
      "amount": 0,
      "currency": "string"
    },
    "average_order_value": {
      "amount": 0,
      "currency": "string"
    }
  },
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "conversion_date",
    "generated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

List channel metrics

GET
/api/v1/channels
AuthorizationBearer <token>

In: header

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length
cursor?string
Length1 <= length
limit?integer
Default50
Range1 <= value <= 100
include_empty?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/channels?from=string&to=string"
{
  "data": [
    {
      "channel": "string",
      "conversions": 9007199254740991,
      "attributed_revenue": {
        "amount": 0,
        "currency": "string"
      }
    }
  ],
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "conversion_date",
    "generated_at": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "next_cursor": "string",
    "limit": 1
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Get channel drilldown metrics

GET
/api/v1/channel-drilldown
AuthorizationBearer <token>

In: header

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length
cursor?string
Length1 <= length
limit?integer
Default50
Range1 <= value <= 100
channelstring
Length1 <= length
outcomestring
Value in"leads" | "revenue"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/channel-drilldown?from=string&to=string&channel=string&outcome=leads"
{
  "data": [
    {
      "source": "string",
      "medium": "string",
      "campaign": "string",
      "landing_page": "string",
      "conversions": 9007199254740991,
      "attributed_revenue": {
        "amount": 0,
        "currency": "string"
      }
    }
  ],
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "conversion_date",
    "generated_at": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "next_cursor": "string",
    "limit": 1
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

List conversion journeys

GET
/api/v1/conversion-journeys
AuthorizationBearer <token>

In: header

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length
cursor?string
Length1 <= length
limit?integer
Default50
Range1 <= value <= 100
conversion_type?string
Value in"lead" | "sales_qualified_lead" | "deal_closed_won" | "order"
credited_channel?string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/conversion-journeys?from=string&to=string"
{
  "data": [
    {
      "journey_id": "string",
      "order_id": "string",
      "conversion_type": "string",
      "total_revenue": {
        "amount": 0,
        "currency": "string"
      },
      "occurred_at": "2019-08-24T14:15:22Z",
      "credited_channel": "string",
      "first_touch_at": "2019-08-24T14:15:22Z",
      "last_touch_at": "2019-08-24T14:15:22Z",
      "touchpoint_count": 9007199254740991
    }
  ],
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "conversion_date",
    "generated_at": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "next_cursor": "string",
    "limit": 1
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Get a conversion journey

GET
/api/v1/conversion-journeys/{journey_id}
AuthorizationBearer <token>

In: header

Path Parameters

journey_idstring
Length1 <= length

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/conversion-journeys/string?from=string&to=string"
{
  "data": {
    "journey_id": "string",
    "order_id": "string",
    "conversion_type": "string",
    "total_revenue": {
      "amount": 0,
      "currency": "string"
    },
    "occurred_at": "2019-08-24T14:15:22Z",
    "credited_channel": "string",
    "first_touch_at": "2019-08-24T14:15:22Z",
    "last_touch_at": "2019-08-24T14:15:22Z",
    "touchpoint_count": 9007199254740991,
    "anonymous_id": "string",
    "touchpoints": [
      {
        "occurred_at": "2019-08-24T14:15:22Z",
        "channel": "string",
        "source": "string",
        "medium": "string",
        "campaign": "string",
        "landing_page": "http://example.com"
      }
    ],
    "sessions": [
      {
        "session_id": "string",
        "channel": "string",
        "started_at": "2019-08-24T14:15:22Z",
        "ended_at": "2019-08-24T14:15:22Z",
        "duration_seconds": 9007199254740991,
        "landing_page": "http://example.com",
        "source": "string",
        "medium": "string",
        "campaign": "string",
        "events": [
          {
            "occurred_at": "2019-08-24T14:15:22Z",
            "type": "string",
            "page_path": "string",
            "page_url": "http://example.com",
            "page_title": "string"
          }
        ]
      }
    ]
  },
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "conversion_date",
    "generated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

List unconverted visitors

GET
/api/v1/activity/unconverted-visitors
AuthorizationBearer <token>

In: header

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezone?string
Default"UTC"
Length1 <= length
cursor?string
Length1 <= length
limit?integer
Default50
Range1 <= value <= 100
channel?string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/activity/unconverted-visitors?from=string&to=string"
{
  "data": [
    {
      "anonymous_id": "string",
      "first_seen_at": "2019-08-24T14:15:22Z",
      "last_seen_at": "2019-08-24T14:15:22Z",
      "channel": "string",
      "visit_count": 9007199254740991,
      "activity_count": 9007199254740991
    }
  ],
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "activity_date",
    "generated_at": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "next_cursor": "string",
    "limit": 1
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Get an unconverted visitor

GET
/api/v1/activity/unconverted-visitors/{anonymous_id}
AuthorizationBearer <token>

In: header

Path Parameters

anonymous_idstring
Length1 <= length

Query Parameters

fromstring
Match^\d{4}-\d{2}-\d{2}$
tostring
Match^\d{4}-\d{2}-\d{2}$
timezonestring
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.letsimmer.com/api/v1/activity/unconverted-visitors/string?from=string&to=string&timezone=string"
{
  "data": {
    "anonymous_id": "string",
    "first_seen_at": "2019-08-24T14:15:22Z",
    "last_seen_at": "2019-08-24T14:15:22Z",
    "channel": "string",
    "visit_count": 9007199254740991,
    "activity_count": 9007199254740991,
    "activities": [
      {
        "occurred_at": "2019-08-24T14:15:22Z",
        "type": "string",
        "channel": "string",
        "source": "string",
        "medium": "string",
        "campaign": "string",
        "page_url": "http://example.com"
      }
    ]
  },
  "meta": {
    "from": "string",
    "to": "string",
    "timezone": "string",
    "date_basis": "activity_date",
    "generated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "invalid_api_key",
    "message": "string",
    "request_id": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}